mbed TLS v2.16.3: ripemd160.h File Reference

mbed TLS v2.16.3

Data Structures | Macros | Typedefs | Functions
ripemd160.h File Reference

RIPE MD-160 message digest. More...

`#include "config.h"`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for ripemd160.h:

Go to the source code of this file.

## Data Structures
struct | mbedtls_ripemd160_context
| RIPEMD-160 context structure. More...

## Macros
#define | MBEDTLS_ERR_RIPEMD160_HW_ACCEL_FAILED -0x0031
#define | MBEDTLS_DEPRECATED

## Typedefs
typedef struct mbedtls_ripemd160_context | mbedtls_ripemd160_context
| RIPEMD-160 context structure. More...

## Functions
void | mbedtls_ripemd160_init (mbedtls_ripemd160_context *ctx)
| Initialize RIPEMD-160 context. More...
void | mbedtls_ripemd160_free (mbedtls_ripemd160_context *ctx)
| Clear RIPEMD-160 context. More...
void | mbedtls_ripemd160_clone (mbedtls_ripemd160_context *dst, const mbedtls_ripemd160_context *src)
| Clone (the state of) an RIPEMD-160 context. More...
int | mbedtls_ripemd160_starts_ret (mbedtls_ripemd160_context *ctx)
| RIPEMD-160 context setup. More...
int | mbedtls_ripemd160_update_ret (mbedtls_ripemd160_context *ctx, const unsigned char *input, size_t ilen)
| RIPEMD-160 process buffer. More...
int | mbedtls_ripemd160_finish_ret (mbedtls_ripemd160_context *ctx, unsigned char output[20])
| RIPEMD-160 final digest. More...
int | mbedtls_internal_ripemd160_process (mbedtls_ripemd160_context *ctx, const unsigned char data[64])
| RIPEMD-160 process data block (internal use only) More...
MBEDTLS_DEPRECATED void | mbedtls_ripemd160_starts (mbedtls_ripemd160_context *ctx)
| RIPEMD-160 context setup. More...
MBEDTLS_DEPRECATED void | mbedtls_ripemd160_update (mbedtls_ripemd160_context *ctx, const unsigned char *input, size_t ilen)
| RIPEMD-160 process buffer. More...
MBEDTLS_DEPRECATED void | mbedtls_ripemd160_finish (mbedtls_ripemd160_context *ctx, unsigned char output[20])
| RIPEMD-160 final digest. More...
MBEDTLS_DEPRECATED void | mbedtls_ripemd160_process (mbedtls_ripemd160_context *ctx, const unsigned char data[64])
| RIPEMD-160 process data block (internal use only) More...
int | mbedtls_ripemd160_ret (const unsigned char *input, size_t ilen, unsigned char output[20])
| Output = RIPEMD-160( input buffer ) More...
MBEDTLS_DEPRECATED void | mbedtls_ripemd160 (const unsigned char *input, size_t ilen, unsigned char output[20])
| Output = RIPEMD-160( input buffer ) More...
int | mbedtls_ripemd160_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

RIPE MD-160 message digest.

Definition in file ripemd160.h.

## Macro Definition Documentation

## ◆ MBEDTLS_DEPRECATED [1/2]

#define MBEDTLS_DEPRECATED

Definition at line 204 of file ripemd160.h.

## ◆ MBEDTLS_DEPRECATED [2/2]

#define MBEDTLS_DEPRECATED

Definition at line 204 of file ripemd160.h.

## ◆ MBEDTLS_ERR_RIPEMD160_HW_ACCEL_FAILED

#define MBEDTLS_ERR_RIPEMD160_HW_ACCEL_FAILED -0x0031

RIPEMD160 hardware accelerator failed

Definition at line 38 of file ripemd160.h.

## Typedef Documentation

## ◆ mbedtls_ripemd160_context

typedef struct mbedtls_ripemd160_context mbedtls_ripemd160_context

RIPEMD-160 context structure.

## Function Documentation

## ◆ mbedtls_internal_ripemd160_process()

int mbedtls_internal_ripemd160_process | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char | data[64]
| ) |  |

RIPEMD-160 process data block (internal use only)

Parameters

  ctx | RIPEMD-160 context
  data | buffer holding one block of data

Returns
  0 if successful

## ◆ mbedtls_ripemd160()

MBEDTLS_DEPRECATED void mbedtls_ripemd160 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[20]
| ) |  |

Output = RIPEMD-160( input buffer )

Deprecated:
  Superseded by mbedtls_ripemd160_ret() in 2.7.0

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | RIPEMD-160 checksum result

## ◆ mbedtls_ripemd160_clone()

void mbedtls_ripemd160_clone | ( | mbedtls_ripemd160_context * | dst,
|  | const mbedtls_ripemd160_context * | src
| ) |  |

Clone (the state of) an RIPEMD-160 context.

Parameters

  dst | The destination context
  src | The context to be cloned

## ◆ mbedtls_ripemd160_finish()

MBEDTLS_DEPRECATED void mbedtls_ripemd160_finish | ( | mbedtls_ripemd160_context * | ctx,
|  | unsigned char | output[20]
| ) |  |

RIPEMD-160 final digest.

Deprecated:
  Superseded by mbedtls_ripemd160_finish_ret() in 2.7.0

Parameters

  ctx | RIPEMD-160 context
  output | RIPEMD-160 checksum result

## ◆ mbedtls_ripemd160_finish_ret()

int mbedtls_ripemd160_finish_ret | ( | mbedtls_ripemd160_context * | ctx,
|  | unsigned char | output[20]
| ) |  |

RIPEMD-160 final digest.

Parameters

  ctx | RIPEMD-160 context
  output | RIPEMD-160 checksum result

Returns
  0 if successful

## ◆ mbedtls_ripemd160_free()

void mbedtls_ripemd160_free | ( | mbedtls_ripemd160_context * | ctx | ) |

Clear RIPEMD-160 context.

Parameters

  ctx | RIPEMD-160 context to be cleared

## ◆ mbedtls_ripemd160_init()

void mbedtls_ripemd160_init | ( | mbedtls_ripemd160_context * | ctx | ) |

Initialize RIPEMD-160 context.

Parameters

  ctx | RIPEMD-160 context to be initialized

## ◆ mbedtls_ripemd160_process()

MBEDTLS_DEPRECATED void mbedtls_ripemd160_process | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char | data[64]
| ) |  |

RIPEMD-160 process data block (internal use only)

Deprecated:
  Superseded by mbedtls_internal_ripemd160_process() in 2.7.0

Parameters

  ctx | RIPEMD-160 context
  data | buffer holding one block of data

## ◆ mbedtls_ripemd160_ret()

int mbedtls_ripemd160_ret | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[20]
| ) |  |

Output = RIPEMD-160( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | RIPEMD-160 checksum result

Returns
  0 if successful

## ◆ mbedtls_ripemd160_self_test()

int mbedtls_ripemd160_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed

## ◆ mbedtls_ripemd160_starts()

MBEDTLS_DEPRECATED void mbedtls_ripemd160_starts | ( | mbedtls_ripemd160_context * | ctx | ) |

RIPEMD-160 context setup.

Deprecated:
  Superseded by mbedtls_ripemd160_starts_ret() in 2.7.0

Parameters

  ctx | context to be initialized

## ◆ mbedtls_ripemd160_starts_ret()

int mbedtls_ripemd160_starts_ret | ( | mbedtls_ripemd160_context * | ctx | ) |

RIPEMD-160 context setup.

Parameters

  ctx | context to be initialized

Returns
  0 if successful

## ◆ mbedtls_ripemd160_update()

MBEDTLS_DEPRECATED void mbedtls_ripemd160_update | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

RIPEMD-160 process buffer.

Deprecated:
  Superseded by mbedtls_ripemd160_update_ret() in 2.7.0

Parameters

  ctx | RIPEMD-160 context
  input | buffer holding the data
  ilen | length of the input data

## ◆ mbedtls_ripemd160_update_ret()

int mbedtls_ripemd160_update_ret | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

RIPEMD-160 process buffer.

Parameters

  ctx | RIPEMD-160 context
  input | buffer holding the data
  ilen | length of the input data

Returns
  0 if successful